package com.adc.da.dto.ocr;

import lombok.Data;

/**
 * M类国五一致性证书
 */
@Data
public class ClassMFiveUniformityCertificate extends UniformityCertificateEO {

    /**
     * 最终阶段车辆生产国
     */
    private String finalStageVehicleProducers;

    /**
     * 最终阶段车辆CCC证书编号（版本号）/签发日期
     */
    private String finalStageCCC;

    /**
     * 是否为直接喷射
     */
    private String isDirectInjection;

    /**
     * 排量/最大净功率
     */
    private String displacement;

    /**
     * 发动机型号/燃料种类
     */
    private String engineModel;

    /**
     * 气缸数量和排列
     */
    private String cylinderNumber;

    /**
     * 发动机编号
     */
    private String engineCode;

    /**
     * 发动机编号在发动机上的打刻位置
     */
    private String engineCodePosition;

    /**
     * 排气排放物CCC认证标准号和对应的实施阶段
     */
    private String dischargeCCC;

    /**
     * 液体排放CO
     */
    private String liquidCO;

    /**
     * 液体排放NOx
     */
    private String liquidNOx;

    /**
     * 液体排放烟度
     */
    private String liquidSmoke;

    /**
     * 液体排放HC
     */
    private String liquidHC;

    /**
     * 液体排放HC+NOx
     */
    private String liquidHCNOx;

    /**
     * 液体排放微粒物/PN
     */
    private String liquidPN;

    /**
     * 气体燃料排放CO
     */
    private String gasCO;

    /**
     * 气体燃料排放NMHC
     */
    private String gasNMHC;

    /**
     * 气体燃料排放CH4
     */
    private String gasCH4;

    /**
     * 气体燃料排放NOx
     */
    private String gasNOx;

    /**
     * 气体燃料排放THC
     */
    private String gasTHC;

    /**
     * 气体燃料排放微粒物/PN
     */
    private String gasPN;

    /**
     * CO2排放量/燃料消耗量引用CCC标准号
     */
    private String CO2Discharge;

    /**
     * CO2排放量市区
     */
    private String CO2City;

    /**
     * CO2排放量市郊
     */
    private String CO2Suburbs;

    /**
     * CO2排放量综合
     */
    private String CO2Comprehensive;

    /**
     * 燃料消耗量市区
     */
    private String fuelCity;

    /**
     * 燃料消耗量市郊
     */
    private String fuelSuburbs;

    /**
     * 燃料消耗量综合
     */
    private String fuelComprehensive;


}
