package com.adc.da.dto.ocr;

import lombok.Data;

/**
 * 混合动力国六一致性实体类
 */
@Data
public class HybridPowerSixUniformityCertificate extends UniformityCertificateEO {

    /**
     * 最终阶段车辆生产国
     */
    private String finalStageVehicleProducers;

    /**
     * 最终阶段车辆CCC证书编号（版本号）/签发日期
     */
    private String finalStageCCC;

    /**
     * 是否为直接喷射
     */
    private String isDirectInjection;

    /**
     * 排量/最大净功率
     */
    private String displacement;

    /**
     * 发动机型号/燃料种类
     */
    private String engineModel;

    /**
     * 气缸数量和排列
     */
    private String cylinderNumber;

    /**
     * 发动机编号
     */
    private String engineCode;

    /**
     * 发动机编号在发动机上的打刻位置
     */
    private String engineCodePosition;

    /**
     * 电动机生产厂商名称
     */
    private String motorManufacturer;

    /**
     * 电动机工作电压
     */
    private String workingVoltageOfMotor;

    /**
     * 最大输出功率
     */
    private String maxPower;

    /**
     * 动力电池型号
     */
    private String powerBatteryModel;

    /**
     * 动力电池系统额定电压
     */
    private String systemRatedPower;

    /**
     * 动力电池生产厂名称
     */
    private String powerBatteryManufacturing;

    /**
     * 动力电池系统额定容量
     */
    private String systemRatedCapacity;

    /**
     * 电动机型号
     */
    private String motorModel;


    /**
     * 排气排放物CCC认证标准号和对应的实施阶段
     */
    private String dischargeCCC;

    /**
     * 液体排放CO
     */
    private String liquidCO;

    /**
     * 液体排放NOx
     */
    private String liquidNOx;

    /**
     * 液体排放烟度
     */
    private String liquidSmoke;

    /**
     * 液体排放PN
     */
    private String liquidPN;

    /**
     * 液体排放THC
     */
    private String liquidTHC;

    /**
     * 液体排放NMHC
     */
    private String liquidNMHC;

    /**
     * 液体排放PM
     */
    private String liquidPM;
    /**
     * 液体排放N2O
     */
    private String liquidN2O;

    /**
     * CO2排放量/燃料消耗量引用CCC标准号
     */
    private String CO2Discharge;

    /**
     * CO2排放量市区
     */
    private String CO2City;

    /**
     * CO2排放量市郊
     */
    private String CO2Suburbs;

    /**
     * CO2排放量综合
     */
    private String CO2Comprehensive;

    /**
     * 燃料消耗量市区
     */
    private String fuelCity;

    /**
     * 燃料消耗量市郊
     */
    private String fuelSuburbs;

    /**
     * 燃料消耗量综合
     */
    private String fuelComprehensive;

}
