package com.adc.da.dto.ocr;

import lombok.Data;

/**
 * N类二类底盘国五
 */
@Data
public class NTwoFiveUniformityCertificate extends UniformityCertificateEO {

    /**
     * 基本车辆生产国
     */
    private String baseVehicleProducers;

    /**
     * 本阶段车辆CCC证书编号（版本号）/签发日期
     */
    private String nowCCC;

    /**
     * 货厢内部尺寸
     */
    private String cargoSize;

    /**
     * 是否为直接喷射
     */
    private String isDirectInjection;

    /**
     * 排量/最大净功率
     */
    private String displacement;

    /**
     * 发动机型号/燃料种类
     */
    private String engineModel;

    /**
     * 气缸数量和排列
     */
    private String cylinderNumber;

    /**
     * 发动机编号
     */
    private String engineCode;

    /**
     * 发动机编号在发动机上的打刻位置
     */
    private String engineCodePosition;

    /**
     * 钢板弹簧片数（片）
     */
    private String springNumber;

    /**
     * 排气排放物CCC认证标准号和对应的实施阶段
     */
    private String dischargeCCC;

    /**
     * 液体排放CO
     */
    private String liquidCO;

    /**
     * 液体排放NOx
     */
    private String liquidNOx;

    /**
     * 液体排放烟度
     */
    private String liquidSmoke;


    /**
     * 液体排放HC(THC国五)
     */
    private String liquidHC;

    /**
     * 液体排放HC+NOx
     */
    private String liquidHCNOx;

    /**
     * 液体排放微粒物/PN
     */
    private String liquidPN;

    /**
     * 载质量利用系数
     */
    private String carrierMassUtilizationCoefficient;

    /**
     * 额定载质量
     */
    private String ratedLoadQuality;

}
