package com.adc.da.dto.ocr;

import com.adc.da.base.entity.BaseEntity;
import lombok.Data;

/**
 * 一致性证书父类
 */
@Data
public class UniformityCertificateEO extends BaseEntity {
    /**
     * 一致性证书编号
     */
    private String certificateCode;

    /**
     * 车辆生产企业名称
     */
    private String carProduceEnterpriseName;

    /**
     * 车辆生产企业地址
     */
    private String carProduceEnterpriseAddress;

    /**
     * 生产者（制造商）名称
     */
    private String manufacturerAddress;

    /**
     * 是否为新能源车
     */
    private String isNewEnergy;

    /**
     * 车辆识别代号
     */
    private String carCode;

    /**
     * 车辆识别代号打刻位置
     */
    private String carCodeCarvingPosition;

    /**
     * 法定标牌的位置
     */
    private String legalSignsPosition;
    /**
     * 车型名称
     */
    private String vehicleTypeName;

    /**
     * 车辆注册类型
     */
    private String vehicleRegistrationType;

    /**
     * 车辆品牌
     */
    private String vehicleBrand;


    /**
     * 车辆型号
     */
    private String vehicleModel;

    /**
     * 车辆类别
     */
    private String carType;

    /**
     * 车辆颜色
     */
    private String carColour;

    /**
     * 车型种类
     */
    private String typeOfVehicle;

    /**
     * 车轴数量
     */
    private String axleNumber;

    /**
     * 驱动轴位置
     */
    private String driveShaftPosition;


    /**
     * 轮距
     */
    private String tread;
    /**
     * 轴距
     */
    private String wheelBase;

    /**
     * 车轮数量
     */
    private String wheelNumber;

    /**
     * 前后悬
     */
    private String frontAndRearSuspensions;

    /**
     * 外廓尺寸
     */
    private String externalDimensions;

    /**
     * 接近角/离去角
     */
    private String approachAngleAndDepartureAngle;

    /**
     * 整备质量
     */
    private String curbWeight;

    /**
     * 最大允许总质量
     */
    private String maxGVW;

    /**
     * 离合器型式
     */
    private String clutchModel;

    /**
     * 转向型式
     */
    private String steeringModel;

    /**
     * 车门数量和结构
     */
    private String carDoorNumAndStructure;

    /**
     * 最大允许总质量对应的轴荷分配
     */
    private String axleLoadDistribution;

    /**
     * 变速器型式
     */
    private String transmissionModel;

    /**
     * 最高设计车速
     */
    private String maxSpeed;

    /**
     * 轮胎规格
     */
    private String tireSpecification;

    /**
     * 制动装置简要说明
     */
    private String descriptionOfBrakeDevice;

    /**
     * 是否有防抱死系统
     */
    private String isHaveABS;

    /**
     * 额定载客人数
     */
    private String ratedNumberOfPassengers;

    /**
     * 速比
     */
    private String speedRatio;

    /**
     * 主传动比
     */
    private String mainTransmissionRatio;

    /**
     * 车辆制造日期
     */
    private String carManufactureTime;

    /**
     * 声级ccc标准号、实施阶段
     */
    private String soundLevelCCC;

    /**
     * 声级定置噪声和对应的发动机转速
     */
    private String soundLevelNoiseEngineSpeed;

    /**
     * 声级加速行驶车外噪声
     */
    private String speedingUpOffVehicleNoise;

    /**
     * 备注
     */
    private String remarks;
    /**
     * 牵引装置中心与车辆最后端之间的距离
     */
    private String vehicleFrontDistance;
    private String ratedContainedMass;               //额定载质量 (47.4)
}
