package com.adc.da.dto.reqDTO;

import com.adc.da.base.BaseReqPageEntity;
import com.adc.da.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class CertificationDTO extends BaseReqPageEntity {
    /**
     * id
     */
    @TableId("ID")
    private String id;

    /**
     * 核查项
     */
    @Excel(name = "项目",width = 50)
    @TableField("PARAMETER_NAME")
    private String parameterName;

    /**
     * 包含车型
     */
    @TableField("VEHICLE_TYPE")
    @Excel(name ="包含车型",width = 50)
    private String vehicleType;
    /**
     * 参数配置
     */
    @Excel(name ="配置参数",width = 50)
    @TableField("PARAM_CONFIG")
    private String paramConfig;
    /**
     * 标准图片路径
     */
    @TableField("STANDARD_PICTURE_PATH")
    private String standardPicturePath;
    /**
     * 核查结果
     * 3：不一致
     * 2：一致
     * 1: 未供货
     * 0：未核查
     */
    @TableField("TYPE")
    private String type;

    /**
     * 核查图片路径
     * 扫码：数量
     */
    @TableField("CHECK_PICTURE_PATH")
    private String checkPicturePath;
    @Excel(name ="核查图片",width = 50,type = 2,height = 20,imageType = 2)
    private byte[] checkPictureOne;

    /**
     * 核查图片路径
     * 扫码：是否扫码
     */
    @TableField("CHECK_PICTURE_PATH_TWO")
    private String checkPicturePathTwo;
    @Excel(name ="核查图片",width = 50,type = 2,height = 20,imageType = 2)
    private byte[] checkPictureTwo;



    /**
     * 备注
     */
    @Excel(name ="备注",width = 50)
    @TableField("REMARKS")
    private String remarks;

    /**
     * 车型系列id
     */
    @TableField("VEHICLE_SERIES_ID")
    private String vehicleSeriesId;

    /**
     * 处理结果
     */
    @TableField("HANDLE_TYPE")
    private String handleType;

    /**
     * 参数编号
     */
    @TableField("PARAMETER")
    private String parameter;


//    @TableField("DETAIL_TYPE")
//    private String detailType;


    /**
     * 核查类别标识
     * 1：认证参数
     * 2：obd
     * 3：扫码
     * 4：关键件
     * 5：法规
     */
    @TableField("CHECK_TYPE")
    private String checkType;

    /**
     * 备案故障码
     */
    @TableField("RECORD_FAULT_CODE")
    private String RecordFaultCode;

    private transient String parameterType;

    /**
     * 排放阶段
     */
    @TableField("DISCHARGE_STAGE")
    private String dischargeStage;

    /**
     * OBD核查结果
     */
    @TableField("CHECK_RESULT")
    private String checkResult;

    /**
     * 项目名称
     */
    @TableField("PROJECT")
    private String project;

    /**
     * 法规要求
     */
    @TableField("REGULATORY_REQUIREMENTS")
    private String regulatoryRequirements;

    /**
     * 使用车辆类型名称
     */
    @TableField("VEHICLE_TYPE_NAME")
    private String vehicleTypeName;

    /**
     * 执行标准名称
     */
    @TableField("STANDARD_NAME")
    private String standardName;

    /**
     * 车型系列名称
     */
    @Excel(name ="车型系列",width = 50)
    private transient String vehicleSeries;

    /**
     * 操作人名称
     */
//    @Excel(name ="操作人",width = 50)
    private transient String usname;

    /**
     * 操作时间
     */
    @Excel(name ="时间",width = 50)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private transient Date creatTime;

    /**
     * 事业部
     */
//    @Excel(name ="事业部",width = 50)
    private transient String orgName;
    @Excel(name ="处理措施",width = 50)
    private String checkEnd;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private Date endDate;
    @Excel(name ="处理时间",width = 50)
    private String endDateStr;
}
