package com.adc.da.dto.reqDTO;


import lombok.Data;

@Data
public class ENVDataCheckDTO {
    /**
     * 出厂检验项目及结论依据的标准
     */
    private String factoryInspectionInformation;

    /**
     * 后处理装置型号/生产厂
     */
    private String postProcessingDeviceType;

    /**
     * 后处理装置涂层/载体/封装生产厂
     */
    private String postTreatmentDeviceCoating;

    /**
     * 喷油泵型号/生产厂
     */
    private String fuelInjectionPump;

    /**
     * 喷油器型号/生产厂
     */
    private String injector;

    /**
     * IUPR监测功能
     */
    private String iupr;

    /**
     * 催化转化器型号/生产厂
     */
    private String catalyticConverterModel;

    /**
     * 催化转化器涂层/载体/封装生产厂
     */
    private String catalyticConverterCoating;

    /**
     * 燃油蒸发控制装置型号/生产厂
     */
    private String fuelEvaporationControlDevice;

    /**
     * 氧传感器型号/生产厂
     */
    private String oxygenSensor;

    /**
     * 曲轴箱排放控制装置型号/生产厂
     */
    private String crankcaseEmissionControlDevice;
    /**
     * 发动机编号
     */
    private String engineNumber;

    /**
     * 基准质量
     */
    private String benchmarkQuality;

    /**
     * 颗粒捕集器（CGPF）型号/生产厂
     */
    private String particleTrapType;

    /**
     * 颗粒捕集器涂层/载体/封装生产厂
     */
    private String particleTrapCoating;

    /**
     * 炭罐型号/生产厂
     */
    private String canister;


    /**
     * 出厂检验项目及结论检测结论
     */
    private String factoryInspectionInformationList;

    /**
     * 电动机型号/生产厂
     */
    private String motorType;

    /**
     * 储能装置型号/生产厂
     */
    private String energyStorageDevice;

    /**
     * 电池容量/车辆的纯电动行驶里程
     */
    private String battery;

    /**
     * 整车控制器型号/版本号/生产厂
     */
    private String vehicleController;

    /**
     * 车型对应的环保信息编号
     */
    private String informationOpenNumbers;

    /**
     * 型式检验信息（包括标准、机构、结论）
     */
    private String testStandard;

//    /**
//     * 型式检验信息检测结论
//     */
//    private String testConclusion;
//    /**
//     * 型式检验信息检测机构
//     */
//    private String testingOrganization;


//    /**
////     * 增压器型号/生产厂
////     */
////    private String superchargerModel;

//    /**
//     * 中冷器型式
//     */
//    private String heartShapeType;

    /**
     * 排放阶段
     */
    private String emissionStage;

    /**
     * 发动机型号/生产厂
     */
    private String engineModel;

    /**
     * EGR型号/生产厂
     */
    private String egr;

    /**
     * OBD型号/生产厂
     */
    private String obd;

    /**
     * ECU型号/生产厂
     */
    private String ecu;

    /**
     * 变速器型式/档位数
     */
    private String derailleur;

    /**
     * 消声器型号/生产厂
     */
    private String muffler;

    /**
     * 增压器型号/生产厂
     */
    private String supercharger;

    /**
     * 中冷器型式
     */
    private String intercoolerType;

    /**
     * 信息公开编号
     */
    private String informationOpenNumber;

    /**
     * VIN
     */
    private String vin;

    /**
     * 车辆型号
     */
    private String vehicleType;

    /**
     * 商标
     */
    private String trademark;

    /**
     * 汽车分类
     */
    private String vehicleClassification;

    /**
     * 车型的识别方法和位置
     */
    private String recognitionMethod;
    /**
     * 车辆识别方法和位置
     */
    private String recognitionMethod2;

    /**
     * 车辆制造商名称
     */
    private String vehicleManufacturer;

    /**
     * 生产厂地址
     */
    private String factoryAddress;

    /**
     * 制造商法人代表
     */
    private String legalRepresentative;

    /**
     * 制造商地址
     */
    private String manufacturerAddress;

    /**
     * 制造商联系电话
     */
    private String contactTelephone;

    /**
     * 车辆生产日期
     */
    private String vehicleProductionDate;

//    /**
//     * 型式检验信息
//     */
//    private List<TypeCheckInformation> typeCheckInformationList;

    private String catalystsTypeDOC;//催化转化器（DOC）型号/生产企业
    private String TcZtFzDoc;//封装/载体/涂层生产企业(催化转化器（DOC）)
    private String catalystsTypeSCR;//催化转化器（SCR）型号/生产企业
    private String TcZtFzSCR;//封装/载体/涂层生产企业(催化转化器（SCR）)
    private String nitrogenOxidesType;//氮氧化物存储催化还原催化转化器型号/生产企业
    private String TcZtFzNitrogenOxides;//封装/载体/涂层生产企业(氮氧化物存储催化还原催化转化器型号)
    private String catalystsTypeASC;//催化转化器（ASC）型号/生产企业
    private String TcZtFzASC;//封装/载体/涂层生产企业(催化转化器（ASC）)
    private String klpjqDFF;//颗粒捕集器（DPF）型号/生产企业
    private String TcZtFzDFF;//封装/载体/涂层生产企业(颗粒捕集器（DPF）)
    private String klpjqCGPF;//颗粒捕集器（（CGPF））型号/生产企业
    private String TcZtFcCGPF;//涂层/载体/封装生产企业(颗粒捕集器（（CGPF））)

    private String OBDInterfaceLocation;//OBD接口位置
    private String fuelSupplySystemType;//燃料供给系统型式

    //柴油国六环保新增
    private String stage;//阶段
    private String PN;//PN

    private String kilometre;//公里
//声明
    private String declareText;

//    private String informationOpenNumber;
//    private String vehicleType;
//    private String engineModel;
//    private String catalyticConverterModel;
    private String preCatalyticModel;
    private String preCatalyticFactory;
    private String afterCatalyticModel;
    private String afterCatalyticFactory;
//    private String TcZtFzDoc;
//    private String fuelEvaporationControlDevice;
//    private String crankcaseEmissionControlDevice;
//    private String fuelInjectionPump;
//    private String egr;
//    private String obd;
//    private String iupr;
//    private String ecu;
//    private String derailleur;
//    private String muffler;
    private String modelOfMufflerFront;
    private String mufflerManufacturerFront;
    private String modelOfMufflerLast;
    private String mufflerManufacturerLast;
    private String modelOfMufflerMidmost;
    private String mufflerManufacturerMidmost;
//    private String supercharger;
//    private String intercoolerType;
//    private String motorType;
//    private String energyStorageDevice;
//    private String battery;
    private String testingOrganization2013;
    private String testingOrganization2005;
    private String testingOrganization2002;
    private String testingOrganization2011;
//    private String benchmarkQuality;
//    private String particleTrapType;
//    private String particleTrapCoating;
//    private String fuelSupplySystemType;
//    private String fuelInjectionPump;
    private String catalyticConverterModelSCR;
    private String factoryInspectionInformationSCR;
    private String NOXType;
    private String NOXCoating;
    private String catalyticConverterModelASC;
    private String factoryInspectionInformationASC;
    private String fuelType;
    private String dischargeStage;
    private String airQualityStandard;
//    private String trademark;
//    private String vehicleClassification;
//    private String emissionStage;
//    private String recognitionMethod;
//    private String vehicleManufacturer;
//    private String factoryAddress;
    private String testStandard2013;
    private String testConclusion2013;
    private String testStandard2005;
    private String testConclusion2005;
    private String testStandard2002;
    private String testConclusion2002;
    private String testStandard2011;
    private String testConclusion2011;
    private String testStandard5;
    private String testConclusion5;
    private String testingOrganization5;
    private String projectAndConclusion;
    private String theSixStageOfTheCountry;
//    private String PN;
//    private String kilometre;
//    private String OBDInterfaceLocation;
    private String hybridExternalCharging;
    private String engineDisplacement;
    private String Cylinders;
    private String fuelOilSupplyMode;
    private String fuelOilSupplySystemType;
    private String ratedPowerOfEngine;
    private String ratedSpeed;
    private String postProcessingType;
    private String newTestStandard;
    private String newTestResults;
    private String afterTreatmentModel;

    /**
     * 官方网址
     */
    private String enterpriseInfoPublicUrl;
}
